Bug 1653655

Summary: ERROR: Unhandled relocation (A) type 26
Product: [Fedora] Fedora Reporter: Laurent Vivier <laurent>
Component: SLOFAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: crobinso, pbonzini, rjones, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: SLOF-0.1.git20180702-2.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-19 06:47:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Laurent Vivier 2018-11-27 11:10:53 UTC
Description of problem:

When starting qemu-system-ppc64, SLOF prints some errors

Version-Release number of selected component (if applicable):

SLOF-0.1.git20180621-1.fc29.noarch

How reproducible:

100%

Steps to Reproduce:
1. qemu-system-ppc64 -nographic


Actual results:


SLOF **********************************************************************
QEMU Starting
 Build Date = Jul 31 2018 15:57:22
 FW Version = mockbuild@ release 20180621
 Press "s" to enter Open Firmware.

ERROR: Unhandled relocation (A) type 26
ERROR: Unhandled relocation (A) type 26
ERROR: Unhandled relocation (A) type 26
ERROR: Unhandled relocation (A) type 26
ERROR: Unhandled relocation (A) type 26
...

Expected results:

no error

Additional info:

We need to backport or take a SLOF including support of GCC 8.1.

d8a9354 romfs/tools: Silence more compiler warnings with GCC 8.1
49482e0 romfs/tools: Silence GCC 8.1 compiler warning with FLASHFS_MAGIC
d4443f1 romfs/tools: Remove superfluous union around the rom header struct
5cd96a5 make.rules: Compile SLOF with -fno-asynchronous-unwind-tables
203f668 Fix bad assembler statements for compiling with gcc 8.1 / as 2.30
031cb1b libelf: Add REL32 to the list of ignored relocations

The commit 031cb1b is the one that fixes the relocation error.

Comment 1 Fedora Update System 2018-12-12 17:12:32 UTC
SLOF-0.1.git20180702-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d43e7dd21

Comment 2 Fedora Update System 2018-12-13 03:36:20 UTC
SLOF-0.1.git20180702-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d43e7dd21

Comment 3 Fedora Update System 2019-02-19 06:47:59 UTC
SLOF-0.1.git20180702-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-02-19 14:01:06 UTC
SLOF-0.1.git20180702-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.